function X=traj(k,N,n)
    X=k*ones(n+1,1);
    for i=1:n
        X(i+1)=grand(1,1,"bin",N,X(i)/N);
    end
endfunction
//Cette fonction génère une réalisation du modèle de Wright-Fischer. Il n'y a plus qu'à tracer.

n=5;plot2d(0:n,traj(2,8,n),5)
//On peut faire quelques vérifications de la validité du programme.

n=100;plot2d(0:n,traj(2,8,n),5)
//En traçant plusieurs trajectoires de ce type, on remarque que la chaîne converge tour à tour vers 0 ou N. On pourra noter qu'on a plus de chances de converger vers 0 quand k est petit.

N=10;k=3
//Estimons la probabilité que la variable limite Y soit égale à N sur un grand échantillon.
//Il est évident que P(Y=0)=1-P(Y=N).
X=k*ones(10000,1);P=zeros(X);
for i=1:length(X)
    while X(i)>0 & X(i)<N
        X(i)=grand(1,1,"bin",N,X(i)/N);
    end
    if X(i)==N then
        P(i)=1;
    end
end
mean(P)
//On trouve une valeur de P proche de 0.3=k/N. D'autres investigations sont de rigueur...